function [uhel,muhel] = m_uhel(xA,yA,zA,mxA,myA,mzA,xB,yB,zB,mxB,myB,mzB,xC,yC,zC,mxC,myC,mzC)
%
%uhel = uhelABC(xA,yA,xB,yB,xC,yC)
%
%vpocet hlu ABC (A-leve ram., B-vrchol, C-prave ram.)
%

if(max(size(xA)) ~= 1)
    pom = xA;
    pom2 = yA;    
    pom3 = zA;
    
    xA = pom(1);
    yA = pom(2);
    zA = pom(3);
    mxA = pom(4);
    myA = pom(5);
    mzA = pom(6);
    
    xB = pom2(1);
    yB = pom2(2);
    zB = pom2(3);
    mxB = pom2(4);
    myB = pom2(5);
    mzB = pom2(6);

    xC = pom3(1);
    yC = pom3(2);
    zC = pom2(3);
    mxC = pom3(4);
    myC = pom3(5);
    mzC = pom3(6);
    
end

%vodorovn hel

[s1,ms1] = m_smernik(xB,yB,mxB,myB,xA,yA,mxA,myA);
[s2,ms2] = m_smernik(xB,yB,mxB,myB,xC,yC,mxC,myC);

uhel = s2 - s1;

if uhel < 0
    uhel = uhel + 400;
end

muhel = (ms1^2 + ms2^2)^0.5;

